Oct 30, 2011

Crcohet angry bird hat

Small note: you might get a message that "Dynamic View" is not supported on your browser. This is a new feature of Blogger. I have Internet Explorer 9 which is not that old but still got this message. You can go to the old view and do not have to download a new browser.
(In general it's best to do not download any program when visiting a site.)